#
# spec file for package ghc-growler
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name growler
Name:           ghc-%{pkg_name}
Version:        0.6.0
Release:        6.14
Summary:        A revised version of the scotty library that attempts to be simpler and more performant
License:        MIT
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-either-devel
BuildRequires:  ghc-http-types-devel
BuildRequires:  ghc-lens-devel
BuildRequires:  ghc-monad-control-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pipes-aeson-devel
BuildRequires:  ghc-pipes-devel
BuildRequires:  ghc-pipes-wai-devel
BuildRequires:  ghc-regex-compat-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-transformers-base-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-wai-devel
BuildRequires:  ghc-wai-extra-devel
BuildRequires:  ghc-warp-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Growler provides a very similar interface to scotty, with slight tweaks for
performance and a few feature tradeoffs. Growler provides the ability to abort
actions (handlers) with arbitrary responses, not just in the event of redirects
or raising errors. Growler avoids coercing everything into lazy Text values and
reading the whole request body into memory. It also eliminates the ability to
abort the handler and have another handler handle the request instead (Scotty's
'next' function).

API is still in flux, so use at your own risk. Pull requests / issues are
welcome.

' &#123;-&#35; LANGUAGE OverloadedStrings &#35;-&#125;

import Web.Growler import Data.Monoid ((&#60;&#62;))

main = growl id defaultConfig $ do &#32;&#32;get &#34;/&#34; $ text &#34;Hello,
World!&#34; &#32;&#32;get &#34;/:name&#34; $ do &#32;&#32;&#32;&#32;name <-
param &#34;name&#34; &#32;&#32;&#32;&#32;text (&#34;Hello, &#34; &#60;&#62;
name &#60;&#62; &#34;!&#34;) '.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)

%changelog
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.6.0 revision 0 with cabal2obs.
